linux: 3.13.0-37.64 -proposed tracker

Bug #1372576 reported by Joseph Salisbury on 2014-09-22
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Zygmunt Krynicki
Prepare-package
Medium
Joseph Salisbury
Prepare-package-meta
Medium
Joseph Salisbury
Prepare-package-signed
Medium
Joseph Salisbury
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-37.64 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 22. September 2014 17:34 UTC
kernel-stable-Prepare-package-end:Tuesday, 23. September 2014 04:06 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 23. September 2014 04:06 UTC
ppa-package-testing-start:Tuesday, 23. September 2014 04:06 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 25. September 2014 22:17 UTC
kernel-stable-Verification-testing-start:Friday, 26. September 2014 00:01 UTC
kernel-stable-Certification-testing-start:Friday, 26. September 2014 00:01 UTC
kernel-stable-Security-signoff-start:Friday, 26. September 2014 00:01 UTC
kernel-stable-Regression-testing-start:Friday, 26. September 2014 00:01 UTC
kernel-stable-Certification-testing-end:Thursday, 02. October 2014 12:00 UTC
kernel-stable-Regression-testing-end:Monday, 06. October 2014 09:02 UTC
kernel-stable-Verification-testing-end:Monday, 06. October 2014 22:19 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. October 2014 11:00 UTC
kernel-stable-Security-signoff-end:Wednesday, 08. October 2014 11:00 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 08. October 2014 18:56 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 08. October 2014 20:03 UTC

tags: added: kernel-release-tracking-bug
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1372746

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise) - bug 1372747

description: updated
Chris J Arges (arges) wrote :

Promoted-to-proposed:
 linux | 3.13.0-37.64 | trusty-proposed | source
 linux-meta | 3.13.0.37.44 | trusty-proposed | source
 linux-signed | 3.13.0-37.64 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-09-25
description: updated
Brad Figg (brad-figg) on 2014-09-26
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Zygmunt Krynicki (zyga) on 2014-10-02
tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-10-02
description: updated
Para Siva (psivaa) on 2014-10-06
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-10-06
description: updated
Brad Figg (brad-figg) on 2014-10-06
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-10-08
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (22.1 KiB)

This bug was fixed in the package linux - 3.13.0-37.64

---------------
linux (3.13.0-37.64) trusty; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1372576

  [ dann frazier ]

  * [Config] CONFIG_HW_RANDOM_XGENE=m on arm64

  [ Edward Lin ]

  * SAUCE: Add use_native_backlight quirk for Dell Inspiron 5721/3521
    - LP: #1354253, #1354313

  [ Tim Gardner ]

  * SAUCE: Fix nfs oops stable regression
    - LP: #1348670
  * [Config] Add mpt3sas to d-i
    - LP: #1368907
  * [Config] CONFIG_X86_16BIT=y
    - LP: #1371601

  [ Timo Aaltonen ]

  * SAUCE: i915_bdw: Rebase to v3.15.8
    - LP: #1359213

  [ Upstream Kernel Changes ]

  * Revert "x86-64, modify_ldt: Make support for 16-bit segments a runtime
    option"
    - LP: #1371601
  * mmc: rtsx: add R1-no-CRC mmc command type handle
    - LP: #1365378
  * rpc_pipe: remove the clntXX dir if creating the pipe fails
    - LP: #1365869
  * sunrpc: add an "info" file for the dummy gssd pipe
    - LP: #1365869
  * rpc_pipe: fix cleanup of dummy gssd directory when notification fails
    - LP: #1365869
  * hwrng: xgene - add support for APM X-Gene SoC RNG support
    - LP: #1365593
  * Documentation: rng: Add X-Gene SoC RNG driver documentation
    - LP: #1365593
  * arm64: dts: add random number generator dts node to APM X-Gene
    platform.
    - LP: #1365593
  * xen/balloon: cancel ballooning if adding new memory failed
    - LP: #1304001
  * x86/xen: resume timer irqs early
    - LP: #1368724
  * xen/manage: Always freeze/thaw processes when suspend/resuming
    - LP: #1368724
  * scsi_transport_sas: move bsg destructor into sas_rphy_remove
    - LP: #1368991
  * drm/i915: Enable 5.4Ghz (HBR2) link rate for Displayport 1.2-capable
    devices
    - LP: #1369633
  * bnx2x: Fix link for KR with swapped polarity lane
    - LP: #1370716
  * drm: add DRM_CAPs for cursor size
    - LP: #1359213
  * drm/dp: Add AUX channel infrastructure
    - LP: #1359213
  * drm/dp: Add drm_dp_dpcd_read_link_status()
    - LP: #1359213
  * drm/dp: Add DisplayPort link helpers
    - LP: #1359213
  * drm/dp: Allow registering AUX channels as I2C busses
    - LP: #1359213
  * drm/dp: let drivers specify the name of the I2C-over-AUX adapter
    - LP: #1359213
  * drm/dp: make aux retries less chatty
    - LP: #1359213
  * Bluetooth: Enable Atheros 0cf3:311e for firmware upload
    - LP: #1371477
  * bnx2x: fix crash during TSO tunneling
    - LP: #1371601
  * inetpeer: get rid of ip_id_count
    - LP: #1371601
  * ip: make IP identifiers less predictable
    - LP: #1371601
  * tcp: Fix integer-overflows in TCP veno
    - LP: #1371601
  * tcp: Fix integer-overflow in TCP vegas
    - LP: #1371601
  * macvlan: Initialize vlan_features to turn on offload support.
    - LP: #1371601
  * net: Correctly set segment mac_len in skb_segment().
    - LP: #1371601
  * iovec: make sure the caller actually wants anything in
    memcpy_fromiovecend
    - LP: #1371601
  * batman-adv: Fix out-of-order fragmentation support
    - LP: #1371601
  * sctp: fix possible seqlock seadlock in sctp_packet_transmit()
    - LP: #1371601
  * sparc64: Fix argument sign extension for compat_sys_futex().
    - LP: #1371601
  ...

Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2014-10-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers